import { BehaviorSubject } from 'rxjs';
import { InjectionToken } from '@angular/core';
export declare const CBP_HEADER_STATE: InjectionToken<CBPToolbarState>;
export declare const APP_HEADER_STATE: InjectionToken<CBPToolbarState>;
/**
 * Holds a single cbp-notification state as well as serves as a observable.
 */
export declare class CBPToolbarState {
    hasToolbarMenu: BehaviorSubject<boolean>;
    toolbarIsExpanded: BehaviorSubject<boolean>;
    scrollState: BehaviorSubject<"up" | "initial">;
    private _scrollShrinkSuspended;
    scrollShrinkSuspended: boolean;
    constructor();
}
