import { Observable } from 'rxjs';
import { CBPNotification } from './cbp-notification';
export declare class CBPNotificationsService {
    private _notifications$;
    constructor();
    getNotifications(): Observable<CBPNotification>;
    /**
     * Adds and opens a notification.
     * @param CBPNotification notification
     */
    notify(notification: CBPNotification): void;
    /**
     * Snoozes a notification
     * @param CBPNotification notification
     * @param number wakeUpAfter
     */
    snooze(notification: CBPNotification, wakeUpAfter?: number): void;
}
