import { OnDestroy, OnInit } from '@angular/core';
import { CBPUser, CBPUserService } from '../user';
import { MatMenuTrigger } from '@angular/material';
import { CBPToolbarState } from '../../header/cbp-toolbar/cbp-toolbar-state';
export declare class CBPUserMenuComponent implements OnInit, OnDestroy {
    private userService;
    toolbarState: CBPToolbarState;
    userMenuExpanded: boolean;
    user: CBPUser;
    isLoggedIn: boolean;
    userDataLoaded: boolean;
    error: any;
    private subscriptions;
    userMenuTrigger: MatMenuTrigger;
    readonly toolbarIsExpanded: boolean;
    constructor(userService: CBPUserService, toolbarState: CBPToolbarState);
    loginProgress: boolean;
    ngOnInit(): void;
    login($event: any): void;
    ngOnDestroy(): void;
    logout(): void;
    toggleMenu($event: Event): void;
}
